summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimon Rettberg2024-01-29 14:03:24 +0100
committerSimon Rettberg2024-01-29 14:03:24 +0100
commit1028d5fbb0fe46245f1143f086fe24cab1e1d31f (patch)
tree14fc1cbfa175b08eace3c40f426ec0867a383c4b
parent[slx-runmode] Fix ordering (diff)
downloadsystemd-init-1028d5fbb0fe46245f1143f086fe24cab1e1d31f.tar.gz
systemd-init-1028d5fbb0fe46245f1143f086fe24cab1e1d31f.tar.xz
systemd-init-1028d5fbb0fe46245f1143f086fe24cab1e1d31f.zip
[slx-dmsetup] grow: Preserve exit status now that it's a service
-rwxr-xr-xmodules.d/slx-dmsetup/hooks/s3-grow-rootfs.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/modules.d/slx-dmsetup/hooks/s3-grow-rootfs.sh b/modules.d/slx-dmsetup/hooks/s3-grow-rootfs.sh
index b93c5658..cf78eabb 100755
--- a/modules.d/slx-dmsetup/hooks/s3-grow-rootfs.sh
+++ b/modules.d/slx-dmsetup/hooks/s3-grow-rootfs.sh
@@ -40,6 +40,5 @@ resize_rootfs() {
return 0
}
-[ -b "$SLX_DNBD3_DEVICE_COW" ] && resize_rootfs
-# non-critical, so always fake success
-true
+[ -b "$SLX_DNBD3_DEVICE_COW" ] || exit 0
+resize_rootfs